#include<stdio.h>
#include<SDL.h>

#define MENU_FILE_SPLASH DATA_PREFIX "splash.bmp"
#define MENU_FILE_BACKGROUND DATA_PREFIX "background.bmp"
#define MENU_FILE_WINDOW DATA_PREFIX "window.bmp"
#define MENU_FILE_TEXT DATA_PREFIX "text.bmp"
#define MENU_FILE_TEXT_INV DATA_PREFIX "text2.bmp"
#ifdef DREAMCAST
#define MENU_DIR_DEFAULT "/cd"
#else
#define MENU_DIR_DEFAULT "."
#endif

extern int mainMenu_vsync;

void text_draw_background();
void init_text(int splash);
void quit_text(void);
void write_text(int x, int y, char * str);
void write_text_inv(int x, int y, char * str);
void write_text_sel(int x, int y, char * str);
void write_centered_text(int y, char * str);
void write_centered_text_inv(int y, char * str);
void write_num(int x, int y, int v);
void write_num_inv(int x, int y, int v);
void text_draw_window(int x, int y, int w, int h, char *title);
void text_draw_barra(int x, int y, int w, int h, int per, int max);
void text_flip(void);
void menu_unraise(void);
void menu_raise(void);

void drawNoRom(void);


int run_mainMenu();
int run_menuLoad();
int run_menuSave();
int run_menuGame();
int run_menuControl();
int run_saveMenu();

extern int menu_moving;
